Generation Framework

## org.eclipse.gmf.mappings.provider
Class GMFMapItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.gmf.mappings.util.GMFMapAdapterFactory
              org.eclipse.gmf.mappings.provider.GMFMapItemProviderAdapterFactory

All Implemented Interfaces:
  AdapterFactory, ComposeableAdapterFactory, IChangeNotifier, IDisposable

public class GMFMapItemProviderAdapterFactory
extends GMFMapAdapterFactory
implements ComposeableAdapterFactory, IChangeNotifier, IDisposable

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

** Generated **

Field Summary
`protected AuditContainerItemProvider` `auditContainerItemProvider` This keeps track of the one adapter used for all `AuditContainer` instances
`protected AuditedMetricTargetItemProvider` `auditedMetricTargetItemProvider` This keeps track of the one adapter used for all `AuditedMetricTarget` instances
`protected AuditRuleItemProvider` `auditRuleItemProvider` This keeps track of the one adapter used for all `AuditRule` instances
`protected CanvasMappingItemProvider` `canvasMappingItemProvider` This keeps track of the one adapter used for all `CanvasMapping` instances
`protected IChangeNotifier` `changeNotifier` This is used to implement `IChangeNotifier`
`protected ChildReferenceItemProvider` `childReferenceItemProvider` This keeps track of the one adapter used for all `ChildReference` instances
`protected CompartmentMappingItemProvider` `compartmentMappingItemProvider` This keeps track of the one adapter used for all `CompartmentMapping` instances
`protected ConstraintItemProvider` `constraintItemProvider` This keeps track of the one adapter used for all `Constraint` instances
`protected DiagramElementTargetItemProvider` `diagramElementTargetItemProvider` This keeps track of the one adapter used for all `DiagramElementTarget` instances
`protected DomainAttributeTargetItemProvider` `domainAttributeTargetItemProvider` This keeps track of the one adapter used for all `DomainAttributeTarget` instances
`protected DomainElementTargetItemProvider` `domainElementTargetItemProvider` This keeps track of the one adapter used for all `DomainElementTarget` instances
`protected FeatureSeqInitializerItemProvider` `featureSeqInitializerItemProvider` This keeps track of the one adapter used for all `FeatureSeqInitializer` instances
`protected FeatureValueSpecItemProvider` `featureValueSpecItemProvider` This keeps track of the one adapter used for all `FeatureValueSpec` instances
`protected LabelMappingItemProvider` `labelMappingItemProvider` This keeps track of the one adapter used for all `LabelMapping` instances
`protected LinkConstraintsItemProvider` `linkConstraintsItemProvider` This keeps track of the one adapter used for all `LinkConstraints` instances
`protected LinkMappingItemProvider` `linkMappingItemProvider` This keeps track of the one adapter used for all `LinkMapping` instances
`protected MappingItemProvider` `mappingItemProvider` This keeps track of the one adapter used for all `Mapping` instances
`protected MetricContainerItemProvider` `metricContainerItemProvider` This keeps track of the one adapter used for all `MetricContainer` instances
`protected MetricRuleItemProvider` `metricRuleItemProvider` This keeps track of the one adapter used for all `MetricRule` instances
`protected NodeMappingItemProvider` `nodeMappingItemProvider` This keeps track of the one adapter used for all `NodeMapping` instances
`protected NotationElementTargetItemProvider` `notationElementTargetItemProvider` This keeps track of the one adapter used for all `NotationElementTarget` instances
`protected ComposedAdapterFactory` `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory
`protected java.util.Collection` `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`
`protected TopNodeReferenceItemProvider` `topNodeReferenceItemProvider` This keeps track of the one adapter used for all `TopNodeReference` instances
`protected ValueExpressionItemProvider` `valueExpressionItemProvider` This keeps track of the one adapter used for all `ValueExpression` instances

Fields inherited from class org.eclipse.gmf.mappings.util.GMFMapAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`GMFMapItemProviderAdapterFactory()` This constructs an instance

Method Summary
`Adapter` `adapt(Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)`
`void` `addListener(INotifyChangedListener notifyChangedListener)` This adds a listener
`Adapter` `createAuditContainerAdapter()` This creates an adapter for a `AuditContainer`
`Adapter` `createAuditedMetricTargetAdapter()` This creates an adapter for a `AuditedMetricTarget`
`Adapter` `createAuditRuleAdapter()` This creates an adapter for a `AuditRule`
`Adapter` `createCanvasMappingAdapter()` This creates an adapter for a `CanvasMapping`
`Adapter` `createChildReferenceAdapter()` This creates an adapter for a `ChildReference`
`Adapter` `createCompartmentMappingAdapter()` This creates an adapter for a `CompartmentMapping`
`Adapter` `createConstraintAdapter()` This creates an adapter for a `Constraint`
`Adapter` `createDiagramElementTargetAdapter()` This creates an adapter for a `DiagramElementTarget`
`Adapter` `createDomainAttributeTargetAdapter()` This creates an adapter for a `DomainAttributeTarget`
`Adapter` `createDomainElementTargetAdapter()` This creates an adapter for a `DomainElementTarget`
`Adapter` `createFeatureSeqInitializerAdapter()` This creates an adapter for a `FeatureSeqInitializer`
`Adapter` `createFeatureValueSpecAdapter()` This creates an adapter for a `FeatureValueSpec`
`Adapter` `createLabelMappingAdapter()` This creates an adapter for a `LabelMapping`
`Adapter` `createLinkConstraintsAdapter()` This creates an adapter for a `LinkConstraints`
`Adapter` `createLinkMappingAdapter()` This creates an adapter for a `LinkMapping`
`Adapter` `createMappingAdapter()` This creates an adapter for a `Mapping`
`Adapter` `createMetricContainerAdapter()` This creates an adapter for a `MetricContainer`
`Adapter` `createMetricRuleAdapter()` This creates an adapter for a `MetricRule`
`Adapter` `createNodeMappingAdapter()` This creates an adapter for a `NodeMapping`
`Adapter` `createNotationElementTargetAdapter()` This creates an adapter for a `NotationElementTarget`
`Adapter` `createTopNodeReferenceAdapter()` This creates an adapter for a `TopNodeReference`
`Adapter` `createValueExpressionAdapter()` This creates an adapter for a `ValueExpression`
`void` `dispose()` This disposes all of the item providers created by this factory
`void` `fireNotifyChanged(Notification notification)` This delegates to `GMFMapItemProviderAdapterFactory.changeNotifier` and to `GMFMapItemProviderAdapterFactory.parentAdapterFactory`
`ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(INotifyChangedListener notifyChangedListener)` This removes a listener
`void` `setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory

Methods inherited from class org.eclipse.gmf.mappings.util.GMFMapAdapterFactory
`createAdapter, createAppearanceStewardAdapter, createAuditableAdapter, createElementInitializerAdapter, createEObjectAdapter, createMappingEntryAdapter, createMeasurableAdapter, createMenuOwnerAdapter, createNeedsContainmentAdapter, createNodeReferenceAdapter, createRuleBaseAdapter, createToolOwnerAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Field Detail

### parentAdapterFactory

    protected ComposedAdapterFactory parentAdapterFactory

  This keeps track of the root adapter factory that delegates to this adapter factory.

  ** Generated **

### changeNotifier

    protected IChangeNotifier changeNotifier

  This is used to implement `IChangeNotifier`.

  ** Generated **

### supportedTypes

    protected java.util.Collection supportedTypes

  This keeps track of all the supported types checked by `isFactoryForType`.

  ** Generated **

### nodeMappingItemProvider

    protected NodeMappingItemProvider nodeMappingItemProvider

  This keeps track of the one adapter used for all `NodeMapping` instances.

  ** Generated **

### compartmentMappingItemProvider

    protected CompartmentMappingItemProvider compartmentMappingItemProvider

  This keeps track of the one adapter used for all `CompartmentMapping` instances.

  ** Generated **

### linkMappingItemProvider

    protected LinkMappingItemProvider linkMappingItemProvider

  This keeps track of the one adapter used for all `LinkMapping` instances.

  ** Generated **

### canvasMappingItemProvider

    protected CanvasMappingItemProvider canvasMappingItemProvider

  This keeps track of the one adapter used for all `CanvasMapping` instances.

  ** Generated **

### labelMappingItemProvider

    protected LabelMappingItemProvider labelMappingItemProvider

  This keeps track of the one adapter used for all `LabelMapping` instances.

  ** Generated **

### mappingItemProvider

    protected MappingItemProvider mappingItemProvider

  This keeps track of the one adapter used for all `Mapping` instances.

  ** Generated **

### childReferenceItemProvider

    protected ChildReferenceItemProvider childReferenceItemProvider

  This keeps track of the one adapter used for all `ChildReference` instances.

  ** Generated **

### topNodeReferenceItemProvider

    protected TopNodeReferenceItemProvider topNodeReferenceItemProvider

  This keeps track of the one adapter used for all `TopNodeReference` instances.

  ** Generated **

### constraintItemProvider

    protected ConstraintItemProvider constraintItemProvider

  This keeps track of the one adapter used for all `Constraint` instances.

  ** Generated **

### linkConstraintsItemProvider

    protected LinkConstraintsItemProvider linkConstraintsItemProvider

  This keeps track of the one adapter used for all `LinkConstraints` instances.

  ** Generated **

### valueExpressionItemProvider

    protected ValueExpressionItemProvider valueExpressionItemProvider

  This keeps track of the one adapter used for all `ValueExpression` instances.

  ** Generated **

### featureSeqInitializerItemProvider

    protected FeatureSeqInitializerItemProvider featureSeqInitializerItemProvider

  This keeps track of the one adapter used for all `FeatureSeqInitializer` instances.

  ** Generated **

### featureValueSpecItemProvider

    protected FeatureValueSpecItemProvider featureValueSpecItemProvider

  This keeps track of the one adapter used for all `FeatureValueSpec` instances.

  ** Generated **

### auditContainerItemProvider

    protected AuditContainerItemProvider auditContainerItemProvider

  This keeps track of the one adapter used for all `AuditContainer` instances.

  ** Generated **

### auditRuleItemProvider

    protected AuditRuleItemProvider auditRuleItemProvider

  This keeps track of the one adapter used for all `AuditRule` instances.

  ** Generated **

### domainElementTargetItemProvider

    protected DomainElementTargetItemProvider domainElementTargetItemProvider

  This keeps track of the one adapter used for all `DomainElementTarget` instances.

  ** Generated **

### domainAttributeTargetItemProvider

    protected DomainAttributeTargetItemProvider domainAttributeTargetItemProvider

  This keeps track of the one adapter used for all `DomainAttributeTarget` instances.

  ** Generated **

### diagramElementTargetItemProvider

    protected DiagramElementTargetItemProvider diagramElementTargetItemProvider

  This keeps track of the one adapter used for all `DiagramElementTarget` instances.

  ** Generated **

### notationElementTargetItemProvider

    protected NotationElementTargetItemProvider notationElementTargetItemProvider

  This keeps track of the one adapter used for all `NotationElementTarget` instances.

  ** Generated **

### metricContainerItemProvider

    protected MetricContainerItemProvider metricContainerItemProvider

  This keeps track of the one adapter used for all `MetricContainer` instances.

  ** Generated **

### metricRuleItemProvider

    protected MetricRuleItemProvider metricRuleItemProvider

  This keeps track of the one adapter used for all `MetricRule` instances.

  ** Generated **

### auditedMetricTargetItemProvider

    protected AuditedMetricTargetItemProvider auditedMetricTargetItemProvider

  This keeps track of the one adapter used for all `AuditedMetricTarget` instances.

  ** Generated **

Constructor Detail

### GMFMapItemProviderAdapterFactory

    public GMFMapItemProviderAdapterFactory()

  This constructs an instance.

** Generated **

Method Detail

### createNodeMappingAdapter

    public Adapter createNodeMappingAdapter()

  This creates an adapter for a `NodeMapping`.

  Overrides:
    `createNodeMappingAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `NodeMapping`
  ** Generated **

### createCompartmentMappingAdapter

    public Adapter createCompartmentMappingAdapter()

  This creates an adapter for a `CompartmentMapping`.

  Overrides:
    `createCompartmentMappingAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CompartmentMapping`
  ** Generated **

### createLinkMappingAdapter

    public Adapter createLinkMappingAdapter()

  This creates an adapter for a `LinkMapping`.

  Overrides:
    `createLinkMappingAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LinkMapping`
  ** Generated **

### createCanvasMappingAdapter

    public Adapter createCanvasMappingAdapter()

  This creates an adapter for a `CanvasMapping`.

  Overrides:
    `createCanvasMappingAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CanvasMapping`
  ** Generated **

### createLabelMappingAdapter

    public Adapter createLabelMappingAdapter()

  This creates an adapter for a `LabelMapping`.

  Overrides:
    `createLabelMappingAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LabelMapping`
  ** Generated **

### createMappingAdapter

    public Adapter createMappingAdapter()

  This creates an adapter for a `Mapping`.

  Overrides:
    `createMappingAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Mapping`
  ** Generated **

### createChildReferenceAdapter

    public Adapter createChildReferenceAdapter()

  This creates an adapter for a `ChildReference`.

  Overrides:
    `createChildReferenceAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ChildReference`
  ** Generated **

### createTopNodeReferenceAdapter

    public Adapter createTopNodeReferenceAdapter()

  This creates an adapter for a `TopNodeReference`.

  Overrides:
    `createTopNodeReferenceAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TopNodeReference`
  ** Generated **

### createConstraintAdapter

    public Adapter createConstraintAdapter()

  This creates an adapter for a `Constraint`.

  Overrides:
    `createConstraintAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Constraint`
  ** Generated **

### createLinkConstraintsAdapter

    public Adapter createLinkConstraintsAdapter()

  This creates an adapter for a `LinkConstraints`.

  Overrides:
    `createLinkConstraintsAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LinkConstraints`
  ** Generated **

### createValueExpressionAdapter

    public Adapter createValueExpressionAdapter()

  This creates an adapter for a `ValueExpression`.

  Overrides:
    `createValueExpressionAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueExpression`
  ** Generated **

### createFeatureSeqInitializerAdapter

    public Adapter createFeatureSeqInitializerAdapter()

  This creates an adapter for a `FeatureSeqInitializer`.

  Overrides:
    `createFeatureSeqInitializerAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FeatureSeqInitializer`
  ** Generated **

### createFeatureValueSpecAdapter

    public Adapter createFeatureValueSpecAdapter()

  This creates an adapter for a `FeatureValueSpec`.

  Overrides:
    `createFeatureValueSpecAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FeatureValueSpec`
  ** Generated **

### createAuditContainerAdapter

    public Adapter createAuditContainerAdapter()

  This creates an adapter for a `AuditContainer`.

  Overrides:
    `createAuditContainerAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AuditContainer`
  ** Generated **

### createAuditRuleAdapter

    public Adapter createAuditRuleAdapter()

  This creates an adapter for a `AuditRule`.

  Overrides:
    `createAuditRuleAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AuditRule`
  ** Generated **

### createDomainElementTargetAdapter

    public Adapter createDomainElementTargetAdapter()

  This creates an adapter for a `DomainElementTarget`.

  Overrides:
    `createDomainElementTargetAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DomainElementTarget`
  ** Generated **

### createDomainAttributeTargetAdapter

    public Adapter createDomainAttributeTargetAdapter()

  This creates an adapter for a `DomainAttributeTarget`.

  Overrides:
    `createDomainAttributeTargetAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DomainAttributeTarget`
  ** Generated **

### createDiagramElementTargetAdapter

    public Adapter createDiagramElementTargetAdapter()

  This creates an adapter for a `DiagramElementTarget`.

  Overrides:
    `createDiagramElementTargetAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DiagramElementTarget`
  ** Generated **

### createNotationElementTargetAdapter

    public Adapter createNotationElementTargetAdapter()

  This creates an adapter for a `NotationElementTarget`.

  Overrides:
    `createNotationElementTargetAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `NotationElementTarget`
  ** Generated **

### createMetricContainerAdapter

    public Adapter createMetricContainerAdapter()

  This creates an adapter for a `MetricContainer`.

  Overrides:
    `createMetricContainerAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `MetricContainer`
  ** Generated **

### createMetricRuleAdapter

    public Adapter createMetricRuleAdapter()

  This creates an adapter for a `MetricRule`.

  Overrides:
    `createMetricRuleAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `MetricRule`
  ** Generated **

### createAuditedMetricTargetAdapter

    public Adapter createAuditedMetricTargetAdapter()

  This creates an adapter for a `AuditedMetricTarget`.

  Overrides:
    `createAuditedMetricTargetAdapter` in class `GMFMapAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AuditedMetricTarget`
  ** Generated **

### getRootAdapterFactory

    public ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `ComposeableAdapterFactory`
  ** Generated **

### setParentAdapterFactory

    public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `ComposeableAdapterFactory`
  ** Generated **

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `AdapterFactory`
  Overrides:
    `isFactoryForType` in class `GMFMapAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.
  ** Generated **

### adapt

    public Adapter adapt(Notifier notifier,
                         java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `AdapterFactory`
  ** Generated **

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `AdapterFactory`
  ** Generated **

### addListener

    public void addListener(INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `IChangeNotifier`
  ** Generated **

### removeListener

    public void removeListener(INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `IChangeNotifier`
  ** Generated **

### fireNotifyChanged

    public void fireNotifyChanged(Notification notification)

  This delegates to `GMFMapItemProviderAdapterFactory.changeNotifier` and to `GMFMapItemProviderAdapterFactory.parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `IChangeNotifier`
  ** Generated **

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

  Specified by:
    `dispose` in interface `IDisposable`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.